<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.social.mapper.TSocialLogMapper">

	<resultMap id="tSocialLogMap" type="com.yifu.cloud.plus.v1.yifu.social.entity.TSocialLog">
		<id property="id" column="ID"/>
		<result property="type" column="TYPE"/>
		<result property="mainId" column="MAIN_ID"/>
		<result property="createBy" column="CREATE_BY"/>
		<result property="createName" column="CREATE_NAME"/>
		<result property="createTime" column="CREATE_TIME"/>
		<result property="updateBy" column="UPDATE_BY"/>
		<result property="updateTime" column="UPDATE_TIME"/>
		<result property="oldInfo" column="OLD_INFO"/>
		<result property="newInfo" column="NEW_INFO"/>
		<result property="differenceInfo" column="DIFFERENCE_INFO"/>
	</resultMap>
	<sql id="Base_Column_List">
		a
		.
		ID
		,
                a.TYPE,
                a.MAIN_ID,
                a.CREATE_BY,
                a.CREATE_NAME,
                a.CREATE_TIME,
                a.UPDATE_BY,
                a.UPDATE_TIME,
                a.OLD_INFO,
                a.NEW_INFO,
                a.DIFFERENCE_INFO
	</sql>
	<sql id="tSocialLog_where">
		<if test="tSocialLog != null">
			<if test="tSocialLog.id != null and tSocialLog.id.trim() != ''">
				AND a.ID = #{tSocialLog.id}
			</if>
			<if test="tSocialLog.type != null">
				AND a.TYPE = #{tSocialLog.type}
			</if>
			<if test="tSocialLog.mainId != null and tSocialLog.mainId.trim() != ''">
				AND a.MAIN_ID = #{tSocialLog.mainId}
			</if>
			<if test="tSocialLog.createBy != null and tSocialLog.createBy.trim() != ''">
				AND a.CREATE_BY = #{tSocialLog.createBy}
			</if>
			<if test="tSocialLog.createName != null and tSocialLog.createName.trim() != ''">
				AND a.CREATE_NAME = #{tSocialLog.createName}
			</if>
			<if test="tSocialLog.createTime != null">
				AND a.CREATE_TIME = #{tSocialLog.createTime}
			</if>
			<if test="tSocialLog.updateBy != null and tSocialLog.updateBy.trim() != ''">
				AND a.UPDATE_BY = #{tSocialLog.updateBy}
			</if>
			<if test="tSocialLog.updateTime != null">
				AND a.UPDATE_TIME = #{tSocialLog.updateTime}
			</if>
			<if test="tSocialLog.oldInfo != null and tSocialLog.oldInfo.trim() != ''">
				AND a.OLD_INFO = #{tSocialLog.oldInfo}
			</if>
			<if test="tSocialLog.newInfo != null and tSocialLog.newInfo.trim() != ''">
				AND a.NEW_INFO = #{tSocialLog.newInfo}
			</if>
			<if test="tSocialLog.differenceInfo != null and tSocialLog.differenceInfo.trim() != ''">
				AND a.DIFFERENCE_INFO = #{tSocialLog.differenceInfo}
			</if>
		</if>
	</sql>
	<!--tSocialLog简单分页查询-->
	<select id="getTSocialLogPage" resultMap="tSocialLogMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM t_social_log a
		<where>
			1=1
			<include refid="tSocialLog_where"/>
		</where>
		order by a.CREATE_TIME desc
	</select>
</mapper>
